<template>
  <div class="gris">
    <div style="divBuscador">
      <div>
        <v-text-field
          v-model="search"
          class="buscador"
          append-icon="mdi-magnify"
          label="Nombre de certificador o número de empleado"
          single-line
          hide-details
        ></v-text-field>
      </div>
    </div>

    <v-data-table
      :headers="headers"
      :items="items"
      :page.sync="page"
      :items-per-page="itemsPerPage"
      hide-default-footer
      @page-count="pageCount = $event"
      :search="search"
      class="tabla"
    >
      <template v-slot:item="row">
        <tr>
          <td align="center">
            <router-link
              class="liga"
              style="color: #2d2926"
              :to="{
                name: 'certificacion_calidad_pv_ultima_certificacion',
                params: { puntoVenta: serviceCommons.objectToBase64(row.item) },
              }"
            >
              {{ row.item.punto_venta_completo }}</router-link
            >
          </td>
          <td align="center">
            <router-link
              class="liga"
              style="color: #2d2926"
              :to="{
                name: 'certificacion_calidad_certificador_detalle',
                params: {
                  puntoVenta: serviceCommons.objectToBase64(row.item),
                  filtros: serviceCommons.objectToBase64(filtros),
                },
              }"
            >
              {{ row.item.nombre_certificador }}</router-link
            >
          </td>
          <td align="center">
            <router-link
              v-if="row.item.ultima_certificacion"
              class="liga"
              style="color: #2d2926"
              :to="{
                name: 'certificacion_calidad_certificacion_detalle',
                params: { visita: serviceCommons.objectToBase64(row.item) },
              }"
            >
              {{ row.item.detalle }}</router-link
            >
          </td>

          <td align="center">{{ row.item.ultima_certificacion }}</td>
        </tr>
      </template>
    </v-data-table>
    <div class="text-center pt-2">
      <v-pagination
        v-model="page"
        :length="pageCount"
        class="paginador"
      ></v-pagination>
    </div>
  </div>
</template>

<script>
import store from "@/store";
import axios from "axios";
import router from "@/router";
const serviceCommons = store.state.serviceCommons;
const serviceLocalStorage = store.state.serviceLocalStorage;
export default {
  name: "TablaPuntosVentaPendientes",
  props: {
    filtros: Object,
  },
  data() {
    return {
      serviceCommons,
      items: [],
      page: 1,
      pageCount: 1,
      itemsPerPage: 10,
      search: "",
      propiedades_footer: {
        itemsPerPageOptions: [2, 4, 5, 10],
      },
      headers: [
        {
          text: "Punto de Venta",
          value: "punto_venta_completo",
          align: "center",
        },
        {
          text: "Certificador encargado",
          value: "nombre_certificador",
          align: "center",
        },
        {
          text: "Última Certificación",
          value: "detalle",
          align: "center",
        },
        {
          text: "Fecha Última Certificación",
          value: "ultima_certificacion",
          align: "center",
        },
      ],
    };
  },
  created() {
    this.getPuntosVentaPendientes();
  },
  mounted() {},
  methods: {
    getPuntosVentaPendientes() {
      const self = this;
      let url =
        "/franquicia/dashboard/g006/secure/grafico/get/pendientes/?" +
        "fechaInicial=" +
        self.filtros.fechaInicio +
        "&" +
        "fechaFin=" +
        self.filtros.fechaFin +
        "&" +
        "idNegocio=" +
        self.filtros.idNegocio;

      if (self.filtros.idGerente) {
        url = url + "&idGerente=" + self.filtros.idGerente;
      }
      if (self.filtros.id_certificador) {
        url = url + "&idUsuario=" + self.filtros.id_certificador;
      }

      axios
        .get(url)
        .then((response) => {
          if (response) {
            if (response.data.status_code === 200) {
              const data = response.data.data;
              if (data) {
                data.forEach((element) => {
                  element.punto_venta_completo =
                    element.id_ceco + " - " + element.punto_contacto;
                  element.detalle = "Detalle de la certificación";
                  if (element.hora_entrada) {
                    element.hora_entrada = element.hora_entrada + " hrs";
                  }

                  if (element.hora_salida) {
                    element.hora_salida = element.hora_salida + " hrs";
                  }

                  if (element.ultima_certificacion) {
                    let fecha = element.ultima_certificacion.split(" ")[0];
                    let dia = fecha.split("-")[2];
                    let mes = fecha.split("-")[1];
                    let anio = fecha.split("-")[0];

                    element.ultima_certificacion = dia + "/" + mes + "/" + anio;
                    element.fecha_visita = element.ultima_certificacion;
                  }
                });
                self.items = data;
              }
            }
          }
        })
        .catch((error) => {
          console.log(error);
        });
    },
  },
};
</script>
